Summary: Creates a shared library cache and maintains symlinks for ld.so.
Name: ldconfig
Version: 1.9.5
%define reldate 1999-02-21
Release: 18mdk
Copyright: GPL
Group: System/Base
Source: ftp://ftp.yggdrasil.com/private/hjl/ldconfig-%{reldate}.tar.bz2
Exclusiveos: Linux
Buildroot: %{_tmppath}/ldconfig-root
Patch0: ldconfig-970926-bklinks.patch.bz2
Patch1: ldconfig-980708-glibc.patch.bz2
Patch2: ldconfig-1999-02-21-sparc.patch.bz2
Patch3: ldconfig-1999-02-21-bug.patch.bz2
Patch4: ldconfig-1999-02-21-help.patch.bz2
Patch5: ldconfig-1999-02-21-jj.patch.bz2

%description
Ldconfig is a basic system program which determines run-time link
bindings between ld.so and shared libraries. Ldconfig scans a running
system and sets up the symbolic links that are used to load shared
libraries properly. It also creates a cache (/etc/ld.so.cache) which
speeds the loading of programs which use shared libraries.

%prep
%setup -q -n ldconfig-%{reldate}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
rm -f ldconfig
gcc -s -o ldconfig $RPM_OPT_FLAGS -static ldconfig.c

%install
mkdir -p $RPM_BUILD_ROOT/sbin
install -s -m 755 ldconfig $RPM_BUILD_ROOT/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
/sbin/ldconfig

%changelog
* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.5-18mdk
- Adjust groups.

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 1.9.5-17mdk
- remove dep basesystem

* Wed Nov 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merge with redhat patchs.
- add patch to remove duplicate libraries from the cache (Jakub
  Jelinek)(r)
- added patch to make ldconfig -h look pretty(r).

* Wed Apr 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Adaption to Mandrake.

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- add patch from UP
- fix stupid bug that refused to update no-existent symlinks

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to version %{reldate}

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- add README.

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- prereq basesystem instead

* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- prereq setup and filesystem

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- patched to remove broken symlinks

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- updated the formerly Alpha only version to the latest from 
  HJ Lu.  It should now be used on all platforms.
- added BuildRoot support
- added this changelog ;-)
